# -*- coding: utf-8 -*-
# Generated by Django 1.11 on 2017-10-05 23:11
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion
import oscar.models.fields


class Migration(migrations.Migration):

    dependencies = [
        ('offer', '0009_discount'),
    ]

    operations = [
        migrations.AlterModelOptions(
            name='discount',
            options={'ordering': ['priority'], 'verbose_name': 'скидка', 'verbose_name_plural': 'скидки'},
        ),
        migrations.RemoveField(
            model_name='discount',
            name='benefit',
        ),
        migrations.AddField(
            model_name='discount',
            name='range',
            field=models.ForeignKey(default=None, on_delete=django.db.models.deletion.CASCADE, related_name='discounts', to='offer.Range', verbose_name='Range'),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='discount',
            name='type',
            field=models.CharField(blank=True, choices=[('Percentage', "Discount is a percentage off of the product's value"), ('Absolute', "Discount is a fixed amount off of the product's value")], max_length=128, verbose_name='Type'),
        ),
        migrations.AddField(
            model_name='discount',
            name='value',
            field=oscar.models.fields.PositiveDecimalField(blank=True, decimal_places=2, max_digits=12, null=True, verbose_name='Value'),
        ),
    ]
